# @dpapejs/plugin-component-dev

A plugin library for @dpapejs/cli

## 安装插件

可以使用下列任一命令安装这个插件的包：

```sh
npm i @dpapejs/plugin-component-dev -D
# OR
yarn add @dpapejs/plugin-component-dev -D
```

## 使用插件

在配置项中新增 `plugins` 属性

```ts
import { createApp } from '@dpapejs/cli'
```

## 开发规范

### 目录结构

```sh
.
└─ button # 组件名
   ├─ index.vue # 组件核心代码 | 必须
   ├─ index.ts # 组件注册代码 | 可无
   ├─ index.less # 组件样式 | 可无
   ├─ style.ts # 非本样式引入 | 可无
```

### 输出目录结构

```sh
.
└─ button # 组件名
   ├─ index.js # 组件js代码
   ├─ index.d.ts # Typescipt 描述文件
   ├─ index.css # 当前组件编译后样式
   ├─ index.less # 当前组件less样式
   ├─ style # 样式文件夹
      ├─ index.js # 编译后样式引入
      ├─ less.js # less 样式引入
└─ theme # 公共样式
   ├─ index.css # 组件库全部编译后样式
   ├─ common.css # 公共样式
   ├─ common.less # 公共 Less 样式
   ├─ _var.less # Less 变量文件
```

### 命名规范

- 组件文件名我们采用中划线命名法（kebab-case）：中划线命名法也叫串式命名法，各个单词之间通过下划线“**-**”连接。例如：`first-name`。
- 组件内 `name` 我们采用大驼峰命名法（CamelCase） ：每一个单词的首字母都采用大写字母，例如：FirstName、LastName。
